Loading...
Searching...
No Matches
MarkerAlphaMenu Class Reference

`#include <gnuradio/qtgui/form_menus.h>`

## Public Slots

void | getNone ()
void | getLow ()
void | getMedium ()
void | getHigh ()
void | getOff ()

## Signals

void | whichTrigger (unsigned int which, unsigned int)

## Public Member Functions

| MarkerAlphaMenu (unsigned int which, QWidget *parent)
| ~MarkerAlphaMenu () override
int | getNumActions () const
QAction * | getAction (unsigned int which)

## Constructor & Destructor Documentation

## MarkerAlphaMenu()

MarkerAlphaMenu::MarkerAlphaMenu | ( | unsigned int | which,
|  | QWidget * | parent )

inline

References getHigh(), getLow(), getMedium(), getNone(), and getOff().

## ~MarkerAlphaMenu()

MarkerAlphaMenu::~MarkerAlphaMenu | ( |  | ) |

inline override

## Member Function Documentation

## getAction()

QAction * MarkerAlphaMenu::getAction | ( | unsigned int | which | ) |

inline

## getHigh

void MarkerAlphaMenu::getHigh | ( |  | ) |

inline slot

References whichTrigger().

Referenced by MarkerAlphaMenu().

## getLow

void MarkerAlphaMenu::getLow | ( |  | ) |

inline slot

References whichTrigger().

Referenced by MarkerAlphaMenu().

## getMedium

void MarkerAlphaMenu::getMedium | ( |  | ) |

inline slot

References whichTrigger().

Referenced by MarkerAlphaMenu().

## getNone

void MarkerAlphaMenu::getNone | ( |  | ) |

inline slot

References whichTrigger().

Referenced by MarkerAlphaMenu().

## getNumActions()

int MarkerAlphaMenu::getNumActions | ( |  | ) | const

inline

## getOff

void MarkerAlphaMenu::getOff | ( |  | ) |

inline slot

References whichTrigger().

Referenced by MarkerAlphaMenu().

## whichTrigger

void MarkerAlphaMenu::whichTrigger | ( | unsigned int | which,
|  | unsigned int | )

signal

Referenced by getHigh(), getLow(), getMedium(), getNone(), and getOff().

The documentation for this class was generated from the following file:

- form_menus.h